Now items in list are cloned, add setfield and getfield functions, fix qmr function
[scilab.git] / scilab / modules / data_structures / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 am__make_dryrun = \
42   { \
43     am__dry=no; \
44     case $$MAKEFLAGS in \
45       *\\[\ \   ]*) \
46         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
47           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
48       *) \
49         for am__flg in $$MAKEFLAGS; do \
50           case $$am__flg in \
51             *=*|--*) ;; \
52             *n*) am__dry=yes; break;; \
53           esac; \
54         done;; \
55     esac; \
56     test $$am__dry = yes; \
57   }
58 pkgdatadir = $(datadir)/@PACKAGE@
59 pkgincludedir = $(includedir)/@PACKAGE@
60 pkglibdir = $(libdir)/@PACKAGE@
61 pkglibexecdir = $(libexecdir)/@PACKAGE@
62 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
63 install_sh_DATA = $(install_sh) -c -m 644
64 install_sh_PROGRAM = $(install_sh) -c
65 install_sh_SCRIPT = $(install_sh) -c
66 INSTALL_HEADER = $(INSTALL_DATA)
67 transform = $(program_transform_name)
68 NORMAL_INSTALL = :
69 PRE_INSTALL = :
70 POST_INSTALL = :
71 NORMAL_UNINSTALL = :
72 PRE_UNINSTALL = :
73 POST_UNINSTALL = :
74 build_triplet = @build@
75 host_triplet = @host@
76 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
77         $(top_srcdir)/Makefile.incl.am
78 @NEED_JAVA_TRUE@am__append_1 = java
79 subdir = modules/data_structures
80 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
81 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
82         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
83         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
84         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
85         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
86         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
87         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
88         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
89         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
90         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
91         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
92         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
93         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
94         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
95         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
96         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
97         $(top_srcdir)/configure.ac
98 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
99         $(ACLOCAL_M4)
100 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
101 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
102 CONFIG_CLEAN_FILES =
103 CONFIG_CLEAN_VPATH_FILES =
104 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
105 am__vpath_adj = case $$p in \
106     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
107     *) f=$$p;; \
108   esac;
109 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
110 am__install_max = 40
111 am__nobase_strip_setup = \
112   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
113 am__nobase_strip = \
114   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
115 am__nobase_list = $(am__nobase_strip_setup); \
116   for p in $$list; do echo "$$p $$p"; done | \
117   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
118   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
119     if (++n[$$2] == $(am__install_max)) \
120       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
121     END { for (dir in files) print dir, files[dir] }'
122 am__base_list = \
123   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
124   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
125 am__uninstall_files_from_dir = { \
126   test -z "$$files" \
127     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
128     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
129          $(am__cd) "$$dir" && rm -f $$files; }; \
130   }
131 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
132         "$(DESTDIR)$(libscidata_structures_la_etcdir)" \
133         "$(DESTDIR)$(libscidata_structures_la_rootdir)" \
134         "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)"
135 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
136 libscidata_structures_algo_la_LIBADD =
137 am__objects_1 = libscidata_structures_algo_la-stcreate.lo \
138         libscidata_structures_algo_la-hmops.lo \
139         libscidata_structures_algo_la-strpos.lo
140 am__objects_2 = extractfields.lo forcerhs.lo lsstyp.lo udptr.lo \
141         rattyp.lo gratyp.lo mlist.lo insertfield.lo
142 am_libscidata_structures_algo_la_OBJECTS = $(am__objects_1) \
143         $(am__objects_2)
144 libscidata_structures_algo_la_OBJECTS =  \
145         $(am_libscidata_structures_algo_la_OBJECTS)
146 @MAINTAINER_MODE_FALSE@am_libscidata_structures_algo_la_rpath =
147 @MAINTAINER_MODE_TRUE@am_libscidata_structures_algo_la_rpath =
148 libscidata_structures_la_DEPENDENCIES = libscidata_structures-algo.la
149 am__objects_3 = libscidata_structures_la-sci_lsslist.lo \
150         libscidata_structures_la-sci_glist.lo \
151         libscidata_structures_la-sci_definedfields.lo \
152         libscidata_structures_la-sci_lstcat.lo \
153         libscidata_structures_la-gw_data_structures1.lo \
154         libscidata_structures_la-gw_data_structures2.lo \
155         libscidata_structures_la-sci_lstsize.lo \
156         libscidata_structures_la-sci_rlist.lo
157 am__objects_4 = libscidata_structures_la-data_structures_gw.lo \
158         libscidata_structures_la-sci_getfield.lo \
159         libscidata_structures_la-sci_setfield.lo
160 am__objects_5 = sci_f_definedfields.lo sci_f_lstsize.lo \
161         sci_f_lstcat.lo sci_f_list.lo
162 am_libscidata_structures_la_OBJECTS = $(am__objects_3) \
163         $(am__objects_4) $(am__objects_5)
164 libscidata_structures_la_OBJECTS =  \
165         $(am_libscidata_structures_la_OBJECTS)
166 @MAINTAINER_MODE_FALSE@am_libscidata_structures_la_rpath =
167 @MAINTAINER_MODE_TRUE@am_libscidata_structures_la_rpath = -rpath \
168 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
169 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
170 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
171 am__depfiles_maybe = depfiles
172 am__mv = mv -f
173 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
174         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
175 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
176         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
177         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
178 CCLD = $(CC)
179 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
180         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
181         $(LDFLAGS) -o $@
182 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
183         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
184 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
185         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
186         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
187 CXXLD = $(CXX)
188 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
189         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
190         $(LDFLAGS) -o $@
191 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
192 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
193         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
194 F77LD = $(F77)
195 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
196         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
197         $(LDFLAGS) -o $@
198 SOURCES = $(libscidata_structures_algo_la_SOURCES) \
199         $(libscidata_structures_la_SOURCES)
200 DIST_SOURCES = $(libscidata_structures_algo_la_SOURCES) \
201         $(libscidata_structures_la_SOURCES)
202 am__can_run_installinfo = \
203   case $$AM_UPDATE_INFO_DIR in \
204     n|no|NO) false;; \
205     *) (install-info --version) >/dev/null 2>&1;; \
206   esac
207 DATA = $(libscidata_structures_la_etc_DATA) \
208         $(libscidata_structures_la_root_DATA) \
209         $(libscidata_structures_la_sci_gateway_DATA)
210 ETAGS = etags
211 CTAGS = ctags
212 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
213 ACLOCAL = @ACLOCAL@
214 ALL_LINGUAS = @ALL_LINGUAS@
215 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
216 AMTAR = @AMTAR@
217 ANT = @ANT@
218 ANTLR = @ANTLR@
219 AR = @AR@
220 ARPACK_LIBS = @ARPACK_LIBS@
221 ASM3 = @ASM3@
222 AUTOCONF = @AUTOCONF@
223 AUTOHEADER = @AUTOHEADER@
224 AUTOMAKE = @AUTOMAKE@
225 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
226 AWK = @AWK@
227 BATIK = @BATIK@
228 BLAS_LIBS = @BLAS_LIBS@
229 CC = @CC@
230 CCACHE = @CCACHE@
231 CCDEPMODE = @CCDEPMODE@
232 CFLAGS = @CFLAGS@
233 CHECKSTYLE = @CHECKSTYLE@
234 COBERTURA = @COBERTURA@
235 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
236 COMMONS_IO = @COMMONS_IO@
237 COMMONS_LOGGING = @COMMONS_LOGGING@
238 CPP = @CPP@
239 CPPFLAGS = @CPPFLAGS@
240 CURL_CFLAGS = @CURL_CFLAGS@
241 CURL_CONFIG = @CURL_CONFIG@
242 CURL_LIBS = @CURL_LIBS@
243 CURL_VERSION = @CURL_VERSION@
244 CXX = @CXX@
245 CXXCPP = @CXXCPP@
246 CXXDEPMODE = @CXXDEPMODE@
247 CXXFLAGS = @CXXFLAGS@
248 CYGPATH_W = @CYGPATH_W@
249 DEFS = @DEFS@
250 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
251 DEPDIR = @DEPDIR@
252 DOCBOOK_ROOT = @DOCBOOK_ROOT@
253 DOXYGEN_BIN = @DOXYGEN_BIN@
254 DSYMUTIL = @DSYMUTIL@
255 DUMPBIN = @DUMPBIN@
256 ECHO_C = @ECHO_C@
257 ECHO_N = @ECHO_N@
258 ECHO_T = @ECHO_T@
259 EGREP = @EGREP@
260 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
261 EXEEXT = @EXEEXT@
262 F77 = @F77@
263 FFLAGS = @FFLAGS@
264 FFTW3_LIB = @FFTW3_LIB@
265 FFTW_ENABLE = @FFTW_ENABLE@
266 FGREP = @FGREP@
267 FLEXDOCK = @FLEXDOCK@
268 FLIBS = @FLIBS@
269 FOP = @FOP@
270 GENHTML = @GENHTML@
271 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
272 GIWS_BIN = @GIWS_BIN@
273 GLUEGEN2_RT = @GLUEGEN2_RT@
274 GMSGFMT = @GMSGFMT@
275 GMSGFMT_015 = @GMSGFMT_015@
276 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
277 GREP = @GREP@
278 GUI_ENABLE = @GUI_ENABLE@
279 HDF5_CFLAGS = @HDF5_CFLAGS@
280 HDF5_LIBS = @HDF5_LIBS@
281 HELP_ENABLE = @HELP_ENABLE@
282 INSTALL = @INSTALL@
283 INSTALL_DATA = @INSTALL_DATA@
284 INSTALL_PROGRAM = @INSTALL_PROGRAM@
285 INSTALL_SCRIPT = @INSTALL_SCRIPT@
286 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
287 INTLLIBS = @INTLLIBS@
288 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
289 JAR = @JAR@
290 JAVA = @JAVA@
291 JAVAC = @JAVAC@
292 JAVAC_DEBUG = @JAVAC_DEBUG@
293 JAVADOC = @JAVADOC@
294 JAVAH = @JAVAH@
295 JAVASCI_ENABLE = @JAVASCI_ENABLE@
296 JAVA_ENABLE = @JAVA_ENABLE@
297 JAVA_G = @JAVA_G@
298 JAVA_HOME = @JAVA_HOME@
299 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
300 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
301 JDB = @JDB@
302 JEUCLID_CORE = @JEUCLID_CORE@
303 JGRAPHX = @JGRAPHX@
304 JHALL = @JHALL@
305 JLATEXMATH = @JLATEXMATH@
306 JLATEXMATH_FOP = @JLATEXMATH_FOP@
307 JOGL2 = @JOGL2@
308 JROSETTA_API = @JROSETTA_API@
309 JROSETTA_ENGINE = @JROSETTA_ENGINE@
310 JUNIT4 = @JUNIT4@
311 LAPACK_LIBS = @LAPACK_LIBS@
312 LCOV = @LCOV@
313 LD = @LD@
314 LDFLAGS = @LDFLAGS@
315 LEX = @LEX@
316 LEXLIB = @LEXLIB@
317 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
318 LIBICONV = @LIBICONV@
319 LIBINTL = @LIBINTL@
320 LIBM = @LIBM@
321 LIBOBJS = @LIBOBJS@
322 LIBS = @LIBS@
323 LIBTOOL = @LIBTOOL@
324 LIPO = @LIPO@
325 LN_S = @LN_S@
326 LOGGING_LEVEL = @LOGGING_LEVEL@
327 LOOKS = @LOOKS@
328 LTLIBICONV = @LTLIBICONV@
329 LTLIBINTL = @LTLIBINTL@
330 LTLIBOBJS = @LTLIBOBJS@
331 MAINT = @MAINT@
332 MAKEINFO = @MAKEINFO@
333 MATIO_CFLAGS = @MATIO_CFLAGS@
334 MATIO_ENABLE = @MATIO_ENABLE@
335 MATIO_LIBS = @MATIO_LIBS@
336 MKDIR_P = @MKDIR_P@
337 MSGCAT = @MSGCAT@
338 MSGFMT = @MSGFMT@
339 MSGFMT_015 = @MSGFMT_015@
340 MSGMERGE = @MSGMERGE@
341 NM = @NM@
342 NMEDIT = @NMEDIT@
343 OBJDUMP = @OBJDUMP@
344 OBJEXT = @OBJEXT@
345 OCAMLC = @OCAMLC@
346 OCAMLDEP = @OCAMLDEP@
347 OCAMLLEX = @OCAMLLEX@
348 OCAMLOPT = @OCAMLOPT@
349 OCAMLYACC = @OCAMLYACC@
350 OPENMP_CFLAGS = @OPENMP_CFLAGS@
351 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
352 OPENMP_ENABLE = @OPENMP_ENABLE@
353 OPENMP_LIBS = @OPENMP_LIBS@
354 OTOOL = @OTOOL@
355 OTOOL64 = @OTOOL64@
356 PACKAGE = @PACKAGE@
357 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
358 PACKAGE_NAME = @PACKAGE_NAME@
359 PACKAGE_STRING = @PACKAGE_STRING@
360 PACKAGE_TARNAME = @PACKAGE_TARNAME@
361 PACKAGE_URL = @PACKAGE_URL@
362 PACKAGE_VERSION = @PACKAGE_VERSION@
363 PATH_SEPARATOR = @PATH_SEPARATOR@
364 PCRE_CFLAGS = @PCRE_CFLAGS@
365 PCRE_CONFIG = @PCRE_CONFIG@
366 PCRE_LIBS = @PCRE_LIBS@
367 PCRE_VERSION = @PCRE_VERSION@
368 PKG_CONFIG = @PKG_CONFIG@
369 POSUB = @POSUB@
370 POW_LIB = @POW_LIB@
371 PYTHON = @PYTHON@
372 RANLIB = @RANLIB@
373 RELOCATABLE = @RELOCATABLE@
374 RT_LIB = @RT_LIB@
375 SAXON = @SAXON@
376 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
377 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
378 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
379 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
380 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
381 SCIRENDERER = @SCIRENDERER@
382 SCIRENDERER_CP = @SCIRENDERER_CP@
383 SCI_CFLAGS = @SCI_CFLAGS@
384 SCI_CXXFLAGS = @SCI_CXXFLAGS@
385 SCI_FFLAGS = @SCI_FFLAGS@
386 SCI_LDFLAGS = @SCI_LDFLAGS@
387 SED = @SED@
388 SET_MAKE = @SET_MAKE@
389 SET_RELOCATABLE = @SET_RELOCATABLE@
390 SHELL = @SHELL@
391 SKINLF = @SKINLF@
392 SPLINT = @SPLINT@
393 STRIP = @STRIP@
394 SWIG_BIN = @SWIG_BIN@
395 SWIG_JAVA = @SWIG_JAVA@
396 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
397 TCLTK_LIBS = @TCLTK_LIBS@
398 TCL_INC_PATH = @TCL_INC_PATH@
399 TK_INC_PATH = @TK_INC_PATH@
400 UMFPACK_ENABLE = @UMFPACK_ENABLE@
401 UMFPACK_LIB = @UMFPACK_LIB@
402 USE_NLS = @USE_NLS@
403 VERSION = @VERSION@
404 WITH_OCAML = @WITH_OCAML@
405 WITH_TKSCI = @WITH_TKSCI@
406 XCOS_ENABLE = @XCOS_ENABLE@
407 XGETTEXT = @XGETTEXT@
408 XGETTEXT_015 = @XGETTEXT_015@
409 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
410 XMKMF = @XMKMF@
411 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
412 XML_APIS_EXT = @XML_APIS_EXT@
413 XML_CONFIG = @XML_CONFIG@
414 XML_FLAGS = @XML_FLAGS@
415 XML_LIBS = @XML_LIBS@
416 XML_VERSION = @XML_VERSION@
417 X_CFLAGS = @X_CFLAGS@
418 X_EXTRA_LIBS = @X_EXTRA_LIBS@
419 X_LIBS = @X_LIBS@
420 X_PRE_LIBS = @X_PRE_LIBS@
421 YACC = @YACC@
422 YFLAGS = @YFLAGS@
423 abs_builddir = @abs_builddir@
424 abs_srcdir = @abs_srcdir@
425 abs_top_builddir = @abs_top_builddir@
426 abs_top_srcdir = @abs_top_srcdir@
427 ac_ct_CC = @ac_ct_CC@
428 ac_ct_CXX = @ac_ct_CXX@
429 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
430 ac_ct_F77 = @ac_ct_F77@
431 am__include = @am__include@
432 am__leading_dot = @am__leading_dot@
433 am__quote = @am__quote@
434 am__tar = @am__tar@
435 am__untar = @am__untar@
436 bindir = @bindir@
437 build = @build@
438 build_alias = @build_alias@
439 build_cpu = @build_cpu@
440 build_os = @build_os@
441 build_vendor = @build_vendor@
442 builddir = @builddir@
443 cxx_present = @cxx_present@
444 datadir = @datadir@
445 datarootdir = @datarootdir@
446 docdir = @docdir@
447 dvidir = @dvidir@
448 exec_prefix = @exec_prefix@
449 host = @host@
450 host_alias = @host_alias@
451 host_cpu = @host_cpu@
452 host_os = @host_os@
453 host_vendor = @host_vendor@
454 htmldir = @htmldir@
455 includedir = @includedir@
456 infodir = @infodir@
457 install_sh = @install_sh@
458 libdir = @libdir@
459 libexecdir = @libexecdir@
460 localedir = @localedir@
461 localstatedir = @localstatedir@
462 mandir = @mandir@
463 mkdir_p = @mkdir_p@
464 oldincludedir = @oldincludedir@
465 pdfdir = @pdfdir@
466 prefix = @prefix@
467 program_transform_name = @program_transform_name@
468 psdir = @psdir@
469 sbindir = @sbindir@
470 sharedstatedir = @sharedstatedir@
471 srcdir = @srcdir@
472 sysconfdir = @sysconfdir@
473 target_alias = @target_alias@
474 top_build_prefix = @top_build_prefix@
475 top_builddir = @top_builddir@
476 top_srcdir = @top_srcdir@
477 yacc_present = @yacc_present@
478 DATA_STRUCTURES_C_SOURCES = \
479 src/c/stcreate.c \
480 src/c/hmops.c \
481 src/c/strpos.c
482
483 DATA_STRUCTURES_FORTRAN_SOURCES = \
484 src/fortran/extractfields.f \
485 src/fortran/forcerhs.f \
486 src/fortran/lsstyp.f \
487 src/fortran/udptr.f \
488 src/fortran/rattyp.f \
489 src/fortran/gratyp.f \
490 src/fortran/mlist.f \
491 src/fortran/insertfield.f
492
493 GATEWAY_C_SOURCES = \
494 sci_gateway/c/sci_lsslist.c \
495 sci_gateway/c/sci_glist.c \
496 sci_gateway/c/sci_definedfields.c \
497 sci_gateway/c/sci_lstcat.c \
498 sci_gateway/c/gw_data_structures1.c \
499 sci_gateway/c/gw_data_structures2.c \
500 sci_gateway/c/sci_lstsize.c \
501 sci_gateway/c/sci_rlist.c
502
503 GATEWAY_CPP_SOURCES = \
504 sci_gateway/cpp/data_structures_gw.cpp \
505 sci_gateway/cpp/sci_getfield.cpp \
506 sci_gateway/cpp/sci_setfield.cpp
507
508 GATEWAY_FORTRAN_SOURCES = \
509 sci_gateway/fortran/sci_f_definedfields.f \
510 sci_gateway/fortran/sci_f_lstsize.f \
511 sci_gateway/fortran/sci_f_lstcat.f \
512 sci_gateway/fortran/sci_f_list.f
513
514 libscidata_structures_la_CPPFLAGS = \
515 -I$(srcdir)/includes/ \
516 -I$(top_srcdir)/modules/types/includes/ \
517 -I$(top_srcdir)/modules/ast/includes/ \
518 -I$(top_srcdir)/modules/symbol/includes/ \
519 -I$(top_srcdir)/modules/dynamic_link/includes/ \
520 -I$(top_srcdir)/modules/string/includes/ \
521 -I$(top_srcdir)/modules/output_stream/includes/ \
522 -I$(top_srcdir)/modules/localization/includes/ \
523 -I$(top_srcdir)/modules/api_scilab/includes/ \
524 -I$(top_srcdir)/modules/operations/includes/ \
525 $(AM_CPPFLAGS)
526
527 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscidata_structures.la
528 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libscidata_structures-algo.la libscidata_structures.la
529 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libscidata_structures-algo.la
530 libscidata_structures_algo_la_SOURCES = $(DATA_STRUCTURES_C_SOURCES) $(DATA_STRUCTURES_FORTRAN_SOURCES)
531 libscidata_structures_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
532 libscidata_structures_algo_la_CPPFLAGS = $(libscidata_structures_la_CPPFLAGS)
533
534 # For the code check (splint)
535 CHECK_SRC = $(DATA_STRUCTURES_C_SOURCES) $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
536 INCLUDE_FLAGS = $(libscidata_structures_la_CFLAGS)
537 libscidata_structures_la_LIBADD = libscidata_structures-algo.la
538
539 #### Target ######
540 modulename = data_structures
541
542 #### data_structures : Conf files ####
543 libscidata_structures_la_rootdir = $(mydatadir)
544 libscidata_structures_la_root_DATA = license.txt
545
546 ####┬ádata_structures : init scripts ####
547 libscidata_structures_la_etcdir = $(mydatadir)/etc
548 libscidata_structures_la_etc_DATA = etc/data_structures.quit etc/data_structures.start
549
550 ####┬ádata_structures : gateway declaration ####
551 libscidata_structures_la_sci_gatewaydir = $(mydatadir)/sci_gateway
552 libscidata_structures_la_sci_gateway_DATA = sci_gateway/data_structures_gateway.xml
553
554 # Where all the Scilab stuff is installed (macros, help, ...)
555 mydatadir = $(pkgdatadir)/modules/$(modulename)
556
557 # Set AM_* SCI detected settings
558 AM_CPPFLAGS = $(SCI_CPPFLAGS)
559 AM_CFLAGS = $(SCI_CFLAGS)
560 AM_CXXFLAGS = $(SCI_CXXFLAGS)
561 # append includes to AM_FFLAGS to manage fortran includes
562 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
563
564 # Tag shared libraries with the Scilab version
565 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
566
567 # splint options
568 SPLINT_OPTIONS = -weak -booltype BOOL
569
570 ########################### JAVA ######################################
571 #### We are delegating java compilation to ant... Thanks to that
572 #### the procedure will be the same with Microsoft Windows (C)
573 #### and Linux/Unix
574 #######################################################################
575 TARGETS_ALL = $(am__append_1)
576
577 ################ MACROS ######################
578 # Rule to build a macro
579 # NOT USED  AT THE MOMENT
580 SUFFIXES = .sci 
581
582 ########### INSTALL DOCUMENTATION ###################
583
584 # Install documentation files into the right target
585 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
586 # automake needs the html files to be present which is not the case when
587 # we are building Scilab
588
589 # Where it should be installed
590 pkgdocdir = $(mydatadir)
591
592 # What is the mask of the help source
593 DOCMASKXML = *.xml
594
595 # What is the mask of the MathML sources
596 DOCMASKMML = *.mml
597
598 ########### INSTALL DATA ###################
599 # Install macros, help & demos
600 # Where it should be installed
601 pkgmacrosdir = $(mydatadir)
602 # Which directory we process
603 MACRODIRS = macros/
604 # Mask of the Scilab sources macros
605 MACROMASK = *.sci
606 # Mask of the Scilab executable sources macros
607 MACROBUILDMASK = *.sce
608 # Mask of the Scilab compiled macros
609 MACROBINMASK = *.bin
610 # List of the standard directory for tests
611 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
612 # Where the demos should be installed
613 pkgdemosdir = $(mydatadir)
614 # List of the standard directory for demos
615 DEMOS_DIR = demos
616 # List of the standard directory for examples
617 EXAMPLES_DIR = examples
618 # Where to export JAVA archives (.jar)
619 JARDIR = jar/
620 # JAR files mask
621 JARMASK = *.jar
622 # Chapter file 
623 HELP_CHAPTERDIR = help/
624 HELP_CHAPTERFILE = addchapter.sce
625 HELP_CHAPTERLANG = en_US fr_FR pt_BR
626 all: all-am
627
628 .SUFFIXES:
629 .SUFFIXES: .sci .bin .c .cpp .f .lo .o .obj
630 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
631         @for dep in $?; do \
632           case '$(am__configure_deps)' in \
633             *$$dep*) \
634               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
635                 && { if test -f $@; then exit 0; else break; fi; }; \
636               exit 1;; \
637           esac; \
638         done; \
639         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/data_structures/Makefile'; \
640         $(am__cd) $(top_srcdir) && \
641           $(AUTOMAKE) --foreign modules/data_structures/Makefile
642 .PRECIOUS: Makefile
643 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
644         @case '$?' in \
645           *config.status*) \
646             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
647           *) \
648             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
649             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
650         esac;
651 $(top_srcdir)/Makefile.incl.am:
652
653 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
654         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
655
656 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
657         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
658 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
659         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
660 $(am__aclocal_m4_deps):
661
662 clean-noinstLTLIBRARIES:
663         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
664         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
665           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
666           test "$$dir" != "$$p" || dir=.; \
667           echo "rm -f \"$${dir}/so_locations\""; \
668           rm -f "$${dir}/so_locations"; \
669         done
670 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
671         @$(NORMAL_INSTALL)
672         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
673         list2=; for p in $$list; do \
674           if test -f $$p; then \
675             list2="$$list2 $$p"; \
676           else :; fi; \
677         done; \
678         test -z "$$list2" || { \
679           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
680           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
681           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
682           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
683         }
684
685 uninstall-pkglibLTLIBRARIES:
686         @$(NORMAL_UNINSTALL)
687         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
688         for p in $$list; do \
689           $(am__strip_dir) \
690           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
691           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
692         done
693
694 clean-pkglibLTLIBRARIES:
695         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
696         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
697           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
698           test "$$dir" != "$$p" || dir=.; \
699           echo "rm -f \"$${dir}/so_locations\""; \
700           rm -f "$${dir}/so_locations"; \
701         done
702 libscidata_structures-algo.la: $(libscidata_structures_algo_la_OBJECTS) $(libscidata_structures_algo_la_DEPENDENCIES) $(EXTRA_libscidata_structures_algo_la_DEPENDENCIES) 
703         $(F77LINK) $(am_libscidata_structures_algo_la_rpath) $(libscidata_structures_algo_la_OBJECTS) $(libscidata_structures_algo_la_LIBADD) $(LIBS)
704 libscidata_structures.la: $(libscidata_structures_la_OBJECTS) $(libscidata_structures_la_DEPENDENCIES) $(EXTRA_libscidata_structures_la_DEPENDENCIES) 
705         $(CXXLINK) $(am_libscidata_structures_la_rpath) $(libscidata_structures_la_OBJECTS) $(libscidata_structures_la_LIBADD) $(LIBS)
706
707 mostlyclean-compile:
708         -rm -f *.$(OBJEXT)
709
710 distclean-compile:
711         -rm -f *.tab.c
712
713 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_algo_la-hmops.Plo@am__quote@
714 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_algo_la-stcreate.Plo@am__quote@
715 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_algo_la-strpos.Plo@am__quote@
716 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-data_structures_gw.Plo@am__quote@
717 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-gw_data_structures1.Plo@am__quote@
718 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-gw_data_structures2.Plo@am__quote@
719 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_definedfields.Plo@am__quote@
720 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_getfield.Plo@am__quote@
721 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_glist.Plo@am__quote@
722 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_lsslist.Plo@am__quote@
723 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_lstcat.Plo@am__quote@
724 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_lstsize.Plo@am__quote@
725 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_rlist.Plo@am__quote@
726 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidata_structures_la-sci_setfield.Plo@am__quote@
727
728 .c.o:
729 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
730 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
733 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
734
735 .c.obj:
736 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
737 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
739 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
740 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
741
742 .c.lo:
743 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
744 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
746 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
747 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
748
749 libscidata_structures_algo_la-stcreate.lo: src/c/stcreate.c
750 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_algo_la-stcreate.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_algo_la-stcreate.Tpo -c -o libscidata_structures_algo_la-stcreate.lo `test -f 'src/c/stcreate.c' || echo '$(srcdir)/'`src/c/stcreate.c
751 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_algo_la-stcreate.Tpo $(DEPDIR)/libscidata_structures_algo_la-stcreate.Plo
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/stcreate.c' object='libscidata_structures_algo_la-stcreate.lo' libtool=yes @AMDEPBACKSLASH@
753 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
754 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_algo_la-stcreate.lo `test -f 'src/c/stcreate.c' || echo '$(srcdir)/'`src/c/stcreate.c
755
756 libscidata_structures_algo_la-hmops.lo: src/c/hmops.c
757 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_algo_la-hmops.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_algo_la-hmops.Tpo -c -o libscidata_structures_algo_la-hmops.lo `test -f 'src/c/hmops.c' || echo '$(srcdir)/'`src/c/hmops.c
758 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_algo_la-hmops.Tpo $(DEPDIR)/libscidata_structures_algo_la-hmops.Plo
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/hmops.c' object='libscidata_structures_algo_la-hmops.lo' libtool=yes @AMDEPBACKSLASH@
760 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
761 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_algo_la-hmops.lo `test -f 'src/c/hmops.c' || echo '$(srcdir)/'`src/c/hmops.c
762
763 libscidata_structures_algo_la-strpos.lo: src/c/strpos.c
764 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_algo_la-strpos.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_algo_la-strpos.Tpo -c -o libscidata_structures_algo_la-strpos.lo `test -f 'src/c/strpos.c' || echo '$(srcdir)/'`src/c/strpos.c
765 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_algo_la-strpos.Tpo $(DEPDIR)/libscidata_structures_algo_la-strpos.Plo
766 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/strpos.c' object='libscidata_structures_algo_la-strpos.lo' libtool=yes @AMDEPBACKSLASH@
767 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
768 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_algo_la-strpos.lo `test -f 'src/c/strpos.c' || echo '$(srcdir)/'`src/c/strpos.c
769
770 libscidata_structures_la-sci_lsslist.lo: sci_gateway/c/sci_lsslist.c
771 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_lsslist.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_lsslist.Tpo -c -o libscidata_structures_la-sci_lsslist.lo `test -f 'sci_gateway/c/sci_lsslist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lsslist.c
772 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_lsslist.Tpo $(DEPDIR)/libscidata_structures_la-sci_lsslist.Plo
773 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_lsslist.c' object='libscidata_structures_la-sci_lsslist.lo' libtool=yes @AMDEPBACKSLASH@
774 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
775 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_lsslist.lo `test -f 'sci_gateway/c/sci_lsslist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lsslist.c
776
777 libscidata_structures_la-sci_glist.lo: sci_gateway/c/sci_glist.c
778 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_glist.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_glist.Tpo -c -o libscidata_structures_la-sci_glist.lo `test -f 'sci_gateway/c/sci_glist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_glist.c
779 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_glist.Tpo $(DEPDIR)/libscidata_structures_la-sci_glist.Plo
780 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_glist.c' object='libscidata_structures_la-sci_glist.lo' libtool=yes @AMDEPBACKSLASH@
781 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
782 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_glist.lo `test -f 'sci_gateway/c/sci_glist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_glist.c
783
784 libscidata_structures_la-sci_definedfields.lo: sci_gateway/c/sci_definedfields.c
785 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_definedfields.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_definedfields.Tpo -c -o libscidata_structures_la-sci_definedfields.lo `test -f 'sci_gateway/c/sci_definedfields.c' || echo '$(srcdir)/'`sci_gateway/c/sci_definedfields.c
786 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_definedfields.Tpo $(DEPDIR)/libscidata_structures_la-sci_definedfields.Plo
787 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_definedfields.c' object='libscidata_structures_la-sci_definedfields.lo' libtool=yes @AMDEPBACKSLASH@
788 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
789 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_definedfields.lo `test -f 'sci_gateway/c/sci_definedfields.c' || echo '$(srcdir)/'`sci_gateway/c/sci_definedfields.c
790
791 libscidata_structures_la-sci_lstcat.lo: sci_gateway/c/sci_lstcat.c
792 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_lstcat.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_lstcat.Tpo -c -o libscidata_structures_la-sci_lstcat.lo `test -f 'sci_gateway/c/sci_lstcat.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstcat.c
793 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_lstcat.Tpo $(DEPDIR)/libscidata_structures_la-sci_lstcat.Plo
794 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_lstcat.c' object='libscidata_structures_la-sci_lstcat.lo' libtool=yes @AMDEPBACKSLASH@
795 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
796 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_lstcat.lo `test -f 'sci_gateway/c/sci_lstcat.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstcat.c
797
798 libscidata_structures_la-gw_data_structures1.lo: sci_gateway/c/gw_data_structures1.c
799 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-gw_data_structures1.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-gw_data_structures1.Tpo -c -o libscidata_structures_la-gw_data_structures1.lo `test -f 'sci_gateway/c/gw_data_structures1.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures1.c
800 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-gw_data_structures1.Tpo $(DEPDIR)/libscidata_structures_la-gw_data_structures1.Plo
801 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_data_structures1.c' object='libscidata_structures_la-gw_data_structures1.lo' libtool=yes @AMDEPBACKSLASH@
802 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
803 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-gw_data_structures1.lo `test -f 'sci_gateway/c/gw_data_structures1.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures1.c
804
805 libscidata_structures_la-gw_data_structures2.lo: sci_gateway/c/gw_data_structures2.c
806 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-gw_data_structures2.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-gw_data_structures2.Tpo -c -o libscidata_structures_la-gw_data_structures2.lo `test -f 'sci_gateway/c/gw_data_structures2.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures2.c
807 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-gw_data_structures2.Tpo $(DEPDIR)/libscidata_structures_la-gw_data_structures2.Plo
808 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_data_structures2.c' object='libscidata_structures_la-gw_data_structures2.lo' libtool=yes @AMDEPBACKSLASH@
809 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
810 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-gw_data_structures2.lo `test -f 'sci_gateway/c/gw_data_structures2.c' || echo '$(srcdir)/'`sci_gateway/c/gw_data_structures2.c
811
812 libscidata_structures_la-sci_lstsize.lo: sci_gateway/c/sci_lstsize.c
813 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_lstsize.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_lstsize.Tpo -c -o libscidata_structures_la-sci_lstsize.lo `test -f 'sci_gateway/c/sci_lstsize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstsize.c
814 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_lstsize.Tpo $(DEPDIR)/libscidata_structures_la-sci_lstsize.Plo
815 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_lstsize.c' object='libscidata_structures_la-sci_lstsize.lo' libtool=yes @AMDEPBACKSLASH@
816 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
817 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_lstsize.lo `test -f 'sci_gateway/c/sci_lstsize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lstsize.c
818
819 libscidata_structures_la-sci_rlist.lo: sci_gateway/c/sci_rlist.c
820 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidata_structures_la-sci_rlist.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_rlist.Tpo -c -o libscidata_structures_la-sci_rlist.lo `test -f 'sci_gateway/c/sci_rlist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_rlist.c
821 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_rlist.Tpo $(DEPDIR)/libscidata_structures_la-sci_rlist.Plo
822 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_rlist.c' object='libscidata_structures_la-sci_rlist.lo' libtool=yes @AMDEPBACKSLASH@
823 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
824 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidata_structures_la-sci_rlist.lo `test -f 'sci_gateway/c/sci_rlist.c' || echo '$(srcdir)/'`sci_gateway/c/sci_rlist.c
825
826 .cpp.o:
827 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
828 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
829 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
830 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
831 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
832
833 .cpp.obj:
834 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
835 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
836 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
837 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
838 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
839
840 .cpp.lo:
841 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
842 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
843 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
844 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
845 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
846
847 libscidata_structures_la-data_structures_gw.lo: sci_gateway/cpp/data_structures_gw.cpp
848 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscidata_structures_la-data_structures_gw.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-data_structures_gw.Tpo -c -o libscidata_structures_la-data_structures_gw.lo `test -f 'sci_gateway/cpp/data_structures_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/data_structures_gw.cpp
849 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscidata_structures_la-data_structures_gw.Tpo $(DEPDIR)/libscidata_structures_la-data_structures_gw.Plo
850 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/data_structures_gw.cpp' object='libscidata_structures_la-data_structures_gw.lo' libtool=yes @AMDEPBACKSLASH@
851 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
852 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscidata_structures_la-data_structures_gw.lo `test -f 'sci_gateway/cpp/data_structures_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/data_structures_gw.cpp
853
854 libscidata_structures_la-sci_getfield.lo: sci_gateway/cpp/sci_getfield.cpp
855 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscidata_structures_la-sci_getfield.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_getfield.Tpo -c -o libscidata_structures_la-sci_getfield.lo `test -f 'sci_gateway/cpp/sci_getfield.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getfield.cpp
856 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_getfield.Tpo $(DEPDIR)/libscidata_structures_la-sci_getfield.Plo
857 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_getfield.cpp' object='libscidata_structures_la-sci_getfield.lo' libtool=yes @AMDEPBACKSLASH@
858 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
859 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscidata_structures_la-sci_getfield.lo `test -f 'sci_gateway/cpp/sci_getfield.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getfield.cpp
860
861 libscidata_structures_la-sci_setfield.lo: sci_gateway/cpp/sci_setfield.cpp
862 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscidata_structures_la-sci_setfield.lo -MD -MP -MF $(DEPDIR)/libscidata_structures_la-sci_setfield.Tpo -c -o libscidata_structures_la-sci_setfield.lo `test -f 'sci_gateway/cpp/sci_setfield.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setfield.cpp
863 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscidata_structures_la-sci_setfield.Tpo $(DEPDIR)/libscidata_structures_la-sci_setfield.Plo
864 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_setfield.cpp' object='libscidata_structures_la-sci_setfield.lo' libtool=yes @AMDEPBACKSLASH@
865 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
866 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidata_structures_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscidata_structures_la-sci_setfield.lo `test -f 'sci_gateway/cpp/sci_setfield.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setfield.cpp
867
868 .f.o:
869         $(F77COMPILE) -c -o $@ $<
870
871 .f.obj:
872         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
873
874 .f.lo:
875         $(LTF77COMPILE) -c -o $@ $<
876
877 extractfields.lo: src/fortran/extractfields.f
878         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o extractfields.lo `test -f 'src/fortran/extractfields.f' || echo '$(srcdir)/'`src/fortran/extractfields.f
879
880 forcerhs.lo: src/fortran/forcerhs.f
881         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o forcerhs.lo `test -f 'src/fortran/forcerhs.f' || echo '$(srcdir)/'`src/fortran/forcerhs.f
882
883 lsstyp.lo: src/fortran/lsstyp.f
884         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o lsstyp.lo `test -f 'src/fortran/lsstyp.f' || echo '$(srcdir)/'`src/fortran/lsstyp.f
885
886 udptr.lo: src/fortran/udptr.f
887         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o udptr.lo `test -f 'src/fortran/udptr.f' || echo '$(srcdir)/'`src/fortran/udptr.f
888
889 rattyp.lo: src/fortran/rattyp.f
890         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o rattyp.lo `test -f 'src/fortran/rattyp.f' || echo '$(srcdir)/'`src/fortran/rattyp.f
891
892 gratyp.lo: src/fortran/gratyp.f
893         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o gratyp.lo `test -f 'src/fortran/gratyp.f' || echo '$(srcdir)/'`src/fortran/gratyp.f
894
895 mlist.lo: src/fortran/mlist.f
896         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o mlist.lo `test -f 'src/fortran/mlist.f' || echo '$(srcdir)/'`src/fortran/mlist.f
897
898 insertfield.lo: src/fortran/insertfield.f
899         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o insertfield.lo `test -f 'src/fortran/insertfield.f' || echo '$(srcdir)/'`src/fortran/insertfield.f
900
901 sci_f_definedfields.lo: sci_gateway/fortran/sci_f_definedfields.f
902         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_definedfields.lo `test -f 'sci_gateway/fortran/sci_f_definedfields.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_definedfields.f
903
904 sci_f_lstsize.lo: sci_gateway/fortran/sci_f_lstsize.f
905         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_lstsize.lo `test -f 'sci_gateway/fortran/sci_f_lstsize.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_lstsize.f
906
907 sci_f_lstcat.lo: sci_gateway/fortran/sci_f_lstcat.f
908         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_lstcat.lo `test -f 'sci_gateway/fortran/sci_f_lstcat.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_lstcat.f
909
910 sci_f_list.lo: sci_gateway/fortran/sci_f_list.f
911         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o sci_f_list.lo `test -f 'sci_gateway/fortran/sci_f_list.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_list.f
912
913 mostlyclean-libtool:
914         -rm -f *.lo
915
916 clean-libtool:
917         -rm -rf .libs _libs
918 install-libscidata_structures_la_etcDATA: $(libscidata_structures_la_etc_DATA)
919         @$(NORMAL_INSTALL)
920         @list='$(libscidata_structures_la_etc_DATA)'; test -n "$(libscidata_structures_la_etcdir)" || list=; \
921         if test -n "$$list"; then \
922           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_etcdir)'"; \
923           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_etcdir)" || exit 1; \
924         fi; \
925         for p in $$list; do \
926           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
927           echo "$$d$$p"; \
928         done | $(am__base_list) | \
929         while read files; do \
930           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_etcdir)'"; \
931           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_etcdir)" || exit $$?; \
932         done
933
934 uninstall-libscidata_structures_la_etcDATA:
935         @$(NORMAL_UNINSTALL)
936         @list='$(libscidata_structures_la_etc_DATA)'; test -n "$(libscidata_structures_la_etcdir)" || list=; \
937         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
938         dir='$(DESTDIR)$(libscidata_structures_la_etcdir)'; $(am__uninstall_files_from_dir)
939 install-libscidata_structures_la_rootDATA: $(libscidata_structures_la_root_DATA)
940         @$(NORMAL_INSTALL)
941         @list='$(libscidata_structures_la_root_DATA)'; test -n "$(libscidata_structures_la_rootdir)" || list=; \
942         if test -n "$$list"; then \
943           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_rootdir)'"; \
944           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_rootdir)" || exit 1; \
945         fi; \
946         for p in $$list; do \
947           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
948           echo "$$d$$p"; \
949         done | $(am__base_list) | \
950         while read files; do \
951           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_rootdir)'"; \
952           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_rootdir)" || exit $$?; \
953         done
954
955 uninstall-libscidata_structures_la_rootDATA:
956         @$(NORMAL_UNINSTALL)
957         @list='$(libscidata_structures_la_root_DATA)'; test -n "$(libscidata_structures_la_rootdir)" || list=; \
958         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
959         dir='$(DESTDIR)$(libscidata_structures_la_rootdir)'; $(am__uninstall_files_from_dir)
960 install-libscidata_structures_la_sci_gatewayDATA: $(libscidata_structures_la_sci_gateway_DATA)
961         @$(NORMAL_INSTALL)
962         @list='$(libscidata_structures_la_sci_gateway_DATA)'; test -n "$(libscidata_structures_la_sci_gatewaydir)" || list=; \
963         if test -n "$$list"; then \
964           echo " $(MKDIR_P) '$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'"; \
965           $(MKDIR_P) "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)" || exit 1; \
966         fi; \
967         for p in $$list; do \
968           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
969           echo "$$d$$p"; \
970         done | $(am__base_list) | \
971         while read files; do \
972           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'"; \
973           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)" || exit $$?; \
974         done
975
976 uninstall-libscidata_structures_la_sci_gatewayDATA:
977         @$(NORMAL_UNINSTALL)
978         @list='$(libscidata_structures_la_sci_gateway_DATA)'; test -n "$(libscidata_structures_la_sci_gatewaydir)" || list=; \
979         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
980         dir='$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
981
982 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
983         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
984         unique=`for i in $$list; do \
985             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
986           done | \
987           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
988               END { if (nonempty) { for (i in files) print i; }; }'`; \
989         mkid -fID $$unique
990 tags: TAGS
991
992 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
993                 $(TAGS_FILES) $(LISP)
994         set x; \
995         here=`pwd`; \
996         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
997         unique=`for i in $$list; do \
998             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
999           done | \
1000           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1001               END { if (nonempty) { for (i in files) print i; }; }'`; \
1002         shift; \
1003         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1004           test -n "$$unique" || unique=$$empty_fix; \
1005           if test $$# -gt 0; then \
1006             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1007               "$$@" $$unique; \
1008           else \
1009             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1010               $$unique; \
1011           fi; \
1012         fi
1013 ctags: CTAGS
1014 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1015                 $(TAGS_FILES) $(LISP)
1016         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1017         unique=`for i in $$list; do \
1018             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1019           done | \
1020           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1021               END { if (nonempty) { for (i in files) print i; }; }'`; \
1022         test -z "$(CTAGS_ARGS)$$unique" \
1023           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1024              $$unique
1025
1026 GTAGS:
1027         here=`$(am__cd) $(top_builddir) && pwd` \
1028           && $(am__cd) $(top_srcdir) \
1029           && gtags -i $(GTAGS_ARGS) "$$here"
1030
1031 distclean-tags:
1032         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1033
1034 distdir: $(DISTFILES)
1035         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1036         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1037         list='$(DISTFILES)'; \
1038           dist_files=`for file in $$list; do echo $$file; done | \
1039           sed -e "s|^$$srcdirstrip/||;t" \
1040               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1041         case $$dist_files in \
1042           */*) $(MKDIR_P) `echo "$$dist_files" | \
1043                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1044                            sort -u` ;; \
1045         esac; \
1046         for file in $$dist_files; do \
1047           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1048           if test -d $$d/$$file; then \
1049             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1050             if test -d "$(distdir)/$$file"; then \
1051               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1052             fi; \
1053             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1054               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1055               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1056             fi; \
1057             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1058           else \
1059             test -f "$(distdir)/$$file" \
1060             || cp -p $$d/$$file "$(distdir)/$$file" \
1061             || exit 1; \
1062           fi; \
1063         done
1064 check-am: all-am
1065         $(MAKE) $(AM_MAKEFLAGS) check-local
1066 check: check-am
1067 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1068 installdirs:
1069         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscidata_structures_la_etcdir)" "$(DESTDIR)$(libscidata_structures_la_rootdir)" "$(DESTDIR)$(libscidata_structures_la_sci_gatewaydir)"; do \
1070           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1071         done
1072 install: install-am
1073 install-exec: install-exec-am
1074 install-data: install-data-am
1075 uninstall: uninstall-am
1076
1077 install-am: all-am
1078         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1079
1080 installcheck: installcheck-am
1081 install-strip:
1082         if test -z '$(STRIP)'; then \
1083           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1084             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1085               install; \
1086         else \
1087           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1088             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1089             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1090         fi
1091 mostlyclean-generic:
1092
1093 clean-generic:
1094
1095 distclean-generic:
1096         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1097         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1098
1099 maintainer-clean-generic:
1100         @echo "This command is intended for maintainers to use"
1101         @echo "it deletes files that may require special tools to rebuild."
1102 clean: clean-am
1103
1104 clean-am: clean-generic clean-libtool clean-local \
1105         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1106
1107 distclean: distclean-am
1108         -rm -rf ./$(DEPDIR)
1109         -rm -f Makefile
1110 distclean-am: clean-am distclean-compile distclean-generic \
1111         distclean-local distclean-tags
1112
1113 dvi: dvi-am
1114
1115 dvi-am:
1116
1117 html: html-am
1118
1119 html-am:
1120
1121 info: info-am
1122
1123 info-am:
1124
1125 install-data-am: install-data-local \
1126         install-libscidata_structures_la_etcDATA \
1127         install-libscidata_structures_la_rootDATA \
1128         install-libscidata_structures_la_sci_gatewayDATA
1129
1130 install-dvi: install-dvi-am
1131
1132 install-dvi-am:
1133
1134 install-exec-am: install-pkglibLTLIBRARIES
1135
1136 install-html: install-html-am
1137
1138 install-html-am: install-html-local
1139
1140 install-info: install-info-am
1141
1142 install-info-am:
1143
1144 install-man:
1145
1146 install-pdf: install-pdf-am
1147
1148 install-pdf-am:
1149
1150 install-ps: install-ps-am
1151
1152 install-ps-am:
1153
1154 installcheck-am:
1155
1156 maintainer-clean: maintainer-clean-am
1157         -rm -rf ./$(DEPDIR)
1158         -rm -f Makefile
1159 maintainer-clean-am: distclean-am maintainer-clean-generic
1160
1161 mostlyclean: mostlyclean-am
1162
1163 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1164         mostlyclean-libtool
1165
1166 pdf: pdf-am
1167
1168 pdf-am:
1169
1170 ps: ps-am
1171
1172 ps-am:
1173
1174 uninstall-am: uninstall-libscidata_structures_la_etcDATA \
1175         uninstall-libscidata_structures_la_rootDATA \
1176         uninstall-libscidata_structures_la_sci_gatewayDATA \
1177         uninstall-pkglibLTLIBRARIES
1178
1179 .MAKE: check-am install-am install-strip
1180
1181 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1182         clean clean-generic clean-libtool clean-local \
1183         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1184         distclean distclean-compile distclean-generic \
1185         distclean-libtool distclean-local distclean-tags distdir dvi \
1186         dvi-am html html-am info info-am install install-am \
1187         install-data install-data-am install-data-local install-dvi \
1188         install-dvi-am install-exec install-exec-am install-html \
1189         install-html-am install-html-local install-info \
1190         install-info-am install-libscidata_structures_la_etcDATA \
1191         install-libscidata_structures_la_rootDATA \
1192         install-libscidata_structures_la_sci_gatewayDATA install-man \
1193         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1194         install-ps install-ps-am install-strip installcheck \
1195         installcheck-am installdirs maintainer-clean \
1196         maintainer-clean-generic mostlyclean mostlyclean-compile \
1197         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1198         tags uninstall uninstall-am \
1199         uninstall-libscidata_structures_la_etcDATA \
1200         uninstall-libscidata_structures_la_rootDATA \
1201         uninstall-libscidata_structures_la_sci_gatewayDATA \
1202         uninstall-pkglibLTLIBRARIES
1203
1204
1205 # This target enables tests for Scilab
1206 check-local: $(top_builddir)/scilab-bin test
1207         if test -d $(mydatadir)/tests; then \
1208           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1209         fi
1210 check-code:
1211         if test -f build.xml; then \
1212                 $(ANT) checkstyle; \
1213         fi
1214         if test -x "$(SPLINT)"; then \
1215                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1216         fi
1217 @NEED_JAVA_TRUE@java:
1218 # Some configurations needs to export JAVA_HOME in the current env
1219 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1220 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1221 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1222 @NEED_JAVA_TRUE@                $(ANT); \
1223 @NEED_JAVA_TRUE@        fi
1224
1225 @NEED_JAVA_TRUE@clean-java:
1226 # Some configurations needs to export JAVA_HOME in the current env
1227 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1228 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1229 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1230 @NEED_JAVA_TRUE@                $(ANT) clean; \
1231 @NEED_JAVA_TRUE@        fi;
1232
1233 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1234 # We call the target swig-build on the variable SWIG_WRAPPERS
1235
1236 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1237 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1238 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1239 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1240 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1241 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1242 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1243 @SWIG_TRUE@             done; \
1244 @SWIG_TRUE@     fi
1245
1246 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1247 # We call the target swig-build on the variable SWIG_WRAPPERS
1248
1249 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1250 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1251 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1252 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1253 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1254 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1255 @GIWS_TRUE@             done; \
1256 @GIWS_TRUE@     fi
1257
1258 @GIWS_TRUE@giws-exception:
1259 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1260 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1261 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1262
1263 macros:
1264         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1265                 echo "Error : Cannot build $< : Scilab has not been built"; \
1266         else \
1267                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1268         fi)
1269
1270 # Removes the macros
1271 clean-macros:
1272 # Removes macros (*.bin generated from .sci)
1273         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1274                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1275                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1276         done
1277
1278 test:
1279 # More tests could be added here
1280         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1281         if test -f build.xml -a $$USEANT -eq 1; then \
1282                 $(ANT) test; \
1283         fi
1284
1285 all-local: $(TARGETS_ALL)
1286
1287 .sci.bin:
1288         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1289         echo "Error : Cannot build $< : Scilab has not been build"; \
1290         else \
1291         echo "Creating $@"; \
1292         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1293         fi )
1294
1295 install-html-local:
1296
1297 install-data-local-local:
1298 # Mainly for javasci
1299         @if test -d $(srcdir)/javadoc; then \
1300                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1301         fi
1302 # If the user wants the help sources to be installed
1303 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1304 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1305 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1306 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1307 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1308 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1309 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1310 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1311 @INSTALL_HELP_XML_TRUE@           done ; \
1312 @INSTALL_HELP_XML_TRUE@         fi; \
1313 @INSTALL_HELP_XML_TRUE@  fi; \
1314 @INSTALL_HELP_XML_TRUE@ done; \
1315 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1316 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1317 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1318 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1319 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1320 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1321 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1322 @INSTALL_HELP_XML_TRUE@           done ; \
1323 @INSTALL_HELP_XML_TRUE@         fi; \
1324 @INSTALL_HELP_XML_TRUE@ fi
1325 install-data-local:
1326 # Install the tests
1327         @echo "-------- Install tests (if any) --------"; \
1328         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1329           if test -d $(srcdir)/$$dir/; then \
1330             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1331                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1332                     if test -d "$(srcdir)/$$dir/$$file"; then \
1333                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1334                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1335                     else \
1336                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1337                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1338                     fi \
1339                   done; \
1340           fi; \
1341         done
1342 # Install the help chapter
1343         @echo "-------- Install the help chapter (if any) --------"; \
1344         for lang in $(HELP_CHAPTERLANG); do \
1345                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1346                 if test -f $$HELPFILE; then \
1347                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1348                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1349                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1350                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1351                 fi; \
1352         done
1353 # Install the demos & examples
1354         @echo "-------- Install demos & examples (if any) --------"; \
1355         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1356           if test -d $(srcdir)/$$dir/; then \
1357             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1358                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1359                     if test -d "$(srcdir)/$$dir/$$file"; then \
1360                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1361                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1362                     else \
1363                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1364                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1365                     fi \
1366                   done; \
1367           fi; \
1368         done
1369 # Install the macros
1370         @echo "-------- Install macros (if any) --------"; \
1371         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1372           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1373                 if test -d $(srcdir)/$$dir/; then \
1374                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1375                         if test -n "$(MACROSSPECIALEXT)"; then \
1376                                 specialExtDir=""; \
1377                                 for specialExt in $(MACROSSPECIALEXT); do \
1378                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1379                                 done; \
1380                                 FILELIST="$$FILELIST $$specialExtDir"; \
1381                         fi; \
1382                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1383                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1384                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1385                   done; \
1386                 fi; \
1387         done
1388 # Install java files (.jar)
1389         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1390         echo "-------- Install jar files --------"; \
1391     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1392           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1393                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1394                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1395           done ; \
1396         fi
1397
1398 ########### CLEAN ###################
1399 # Clean help (generated automatically by Scilab)
1400 # It used to clean the macro (clean-macros) but this was causing
1401 # make clean && make to fail Scilab startup
1402 @NEED_JAVA_TRUE@clean-local: clean-java
1403 @NEED_JAVA_FALSE@clean-local:
1404
1405 distclean-local:
1406         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1407
1408 .PHONY: macros java swig giws
1409
1410 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1411 # Otherwise a system limit (for SysV at least) may be exceeded.
1412 .NOEXPORT: